Subject: Re: [PATCH v3] net: usb: qmi_wwan: support ZTE P685M modem

From: Lech Perczak <[email-masked]>
Date: Mon, 1 Mar 2021 22:13:08 +0100

On 2021-02-24 at 19:10, [email-masked] wrote:
> Hello:
>
> This patch was applied to netdev/net.git (refs/heads/master):
>
> On Tue, 23 Feb 2021 19:34:56 +0100 you wrote:
>> Now that interface 3 in "option" driver is no longer mapped, add device
>> ID matching it to qmi_wwan.
>>
>> The modem is used inside ZTE MF283+ router and carriers identify it as
>> such.
>> Interface mapping is:
>> 0: QCDM, 1: AT (PCUI), 2: AT (Modem), 3: QMI, 4: ADB
>>
>> [...]
> Here is the summary with links:
>    - [v3] net: usb: qmi_wwan: support ZTE P685M modem
>      https://git.kernel.org/netdev/net/c/88eee9b7b42e
>
> You are awesome, thank you!
> --
> Deet-doot-dot, I am a bot.
> https://korg.docs.kernel.org/patchwork/pwbot.html
>
I see that the usb-serial counterpart of this patch was queued up for 
stable [1], so just for the sake of completeness, it might be worthy to 
consider this one too. This would likely make OpenWrt folks happy -  I 
think that going for 5.4.y and upper would suffice, as 5.4 is currently 
used as stable kernel there, and most of targets are switching to 5.10 
right now.

Upstream commit is 88eee9b7b42e69fb622ddb3ff6f37e8e4347f5b2.

[1] 
https://git.kernel.org/pub/scm/linux/kernel/git/stable/stable-queue.git/tree/queue-5.11/usb-serial-option-update-interface-mapping-for-zte-p685m.patch?id=a15ddfc3cd600b31862fdde91f8988e1cfc7bffe

--
With kind regards,
Lech